Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dks.src.warpEditor
Class CPoints

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<CPoint>
                  dks.src.warpEditor.CPoints

All Implemented Interfaces:
  XMLWritable, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<CPoint>, java.util.Collection<CPoint>, java.util.List<CPoint>, java.util.RandomAccess

    public class CPoints

extends java.util.ArrayList<CPoint>
implements XMLWritable

This class implements a list of CPoint which can be saved in a XML format
date : 5 sept. 07

Author:
  DarK Sidious
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `XML_POINTS_PROPERTY`

Constructor Summary
`CPoints()`
`CPoints(int size)`

Method Summary
`boolean` | `add(CPoint point)`
`void` | `add(int index, CPoint point)`
`boolean` | `addAll(java.util.Collection<? extends CPoint> points)`
`boolean` | `addAll(int index, java.util.Collection<? extends CPoint> points)`
`void` | `addListener(javax.swing.event.ChangeListener listener)`
`CPoints` | `clone()`
`void` | `notifyChanged()`
`CPoint` | `set(int index, CPoint point)`
`java.lang.String` | `toString()`
`void` | `XMLload(org.jdom.Element root)` Construct the object with the data contains in the root DOM Element
`void` | `XMLsave(org.jdom.Element root)` Generate a DOM Element containing the children make by the object

Methods inherited from class java.util.ArrayList
`clear, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Field Detail

### XML_POINTS_PROPERTY

    public static final java.lang.String XML_POINTS_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### CPoints

    public CPoints()

### CPoints

    public CPoints(int size)

Parameters:
  `size` - the size of the list

Method Detail

### add

    public boolean add(CPoint point)

  Specified by:
    `add` in interface `java.util.Collection<CPoint>`
  Specified by:
    `add` in interface `java.util.List<CPoint>`
  Overrides:
    `add` in class `java.util.ArrayList<CPoint>`

### add

    public void add(int index,
                    CPoint point)

  Specified by:
    `add` in interface `java.util.List<CPoint>`
  Overrides:
    `add` in class `java.util.ArrayList<CPoint>`

### addAll

    public boolean addAll(java.util.Collection<? extends CPoint> points)

  Specified by:
    `addAll` in interface `java.util.Collection<CPoint>`
  Specified by:
    `addAll` in interface `java.util.List<CPoint>`
  Overrides:
    `addAll` in class `java.util.ArrayList<CPoint>`

### addAll

    public boolean addAll(int index,
                          java.util.Collection<? extends CPoint> points)

  Specified by:
    `addAll` in interface `java.util.List<CPoint>`
  Overrides:
    `addAll` in class `java.util.ArrayList<CPoint>`

### set

    public CPoint set(int index,
                      CPoint point)

  Specified by:
    `set` in interface `java.util.List<CPoint>`
  Overrides:
    `set` in class `java.util.ArrayList<CPoint>`

### addListener

    public void addListener(javax.swing.event.ChangeListener listener)

  Parameters:
    `listener` -
  See Also:
    `CListenerDelegate.addListener(java.lang.Object)`

### notifyChanged

    public void notifyChanged()

  See Also:
    `CChangeListenerDelegate.notifyChanged()`

### XMLload

    public void XMLload(org.jdom.Element root)

  Description copied from interface: `XMLWritable`
  Construct the object with the data contains in the root DOM Element

  Specified by:
    `XMLload` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM Element used to load the list of points
  See Also:
    `XMLWritable.XMLload(org.jdom.Element)`

### XMLsave

    public void XMLsave(org.jdom.Element root)

  Description copied from interface: `XMLWritable`
  Generate a DOM Element containing the children make by the object

  Specified by:
    `XMLsave` in interface `XMLWritable`
  Parameters:
    `root` - the XML DOM Element used to save the list of points
  See Also:
    `XMLWritable.XMLsave(org.jdom.Element)`

### clone

    public CPoints clone()

  Overrides:
    `clone` in class `java.util.ArrayList<CPoint>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection<CPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD